/*
   HARK Library
   Copyright (C) 2021 Honda Research Institute Japan Inc.
 */

#if !defined(_HARKLIB_NODE_OR_H_INCLUDED_)
#define _HARKLIB_NODE_CM_OR_H_INCLUDED_ 1

#include "hark-lib/hark-lib.h"
#include "hark-lib/node.h"

namespace hark
{
namespace node
{
    class OR: public NodeDef
    {
    public:
        OR();

        void initialize(InputDataBundle &input);
        virtual void reset();
        virtual bool operator () (size_t count, InputDataBundle &input, OutputDataBundle &output);
    };
}
}

#endif /* #if !defined(_HARKLIB_NODE_OR_H_INCLUDED_) */

/* end of file */
