/*
   HARK Library
   Copyright (C) 2021 Honda Research Institute Japan Inc.
 */

#if !defined(_HARKLIB_NODE_SUBSCRIBE_DATA_H_INCLUDED_)
#define _HARKLIB_NODE_SUBSCRIBE_DATA_H_INCLUDED_ 1

#include "hark-lib/hark-lib.h"
#include "hark-lib/node.h"

namespace hark
{
namespace node
{
    class SubscribeData: public NodeDef
    {
    public:
        SubscribeData();
        virtual void reset();
        virtual bool operator () (size_t count, InputDataBundle &input, OutputDataBundle &output);
        
        virtual void receive(data output) = 0;
    };
}
}

#endif /* #if !defined(_HARKLIB_NODE_SUBSCRIBE_DATA_H_INCLUDED_) */

/* end of file */
